cpqHeSysBatteryStatus — HPE networking MIB copies (LibreNMS/Observium Community)
The status of the battery.
{1 3 6 1 4 1 232 6 2 17 2 1 5}
The status of the battery.
Status in source: mandatory.
Names: cpqHeSysBatteryStatus
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"cpqHeSysBatteryStatus",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"noError",
"(",
"1",
")",
",",
"generalFailure",
"(",
"2",
")",
",",
"shutdownHighResistance",
"(",
"3",
")",
",",
"shutdownLowVoltage",
"(",
"4",
")",
",",
"shutdownShortCircuit",
"(",
"5",
")",
",",
"shutdownChargeTimeout",
"(",
"6",
")",
",",
"shutdownOverTemperature",
"(",
"7",
")",
",",
"shutdownDischargeMinVoltage",
"(",
"8",
")",
",",
"shutdownDischargeCurrent",
"(",
"9",
")",
",",
"shutdownLoadCountHigh",
"(",
"10",
")",
",",
"shutdownEnablePin",
"(",
"11",
")",
",",
"shutdownOverCurrent",
"(",
"12",
")",
",",
"shutdownPermanentFailure",
"(",
"13",
")",
",",
"shutdownBackupTimeExceeded",
"(",
"14",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The status of the battery.\"",
"::=",
"{",
"cpqHeSysBatteryEntry",
"5",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"noError",
1
],
[
"generalFailure",
2
],
[
"shutdownHighResistance",
3
],
[
"shutdownLowVoltage",
4
],
[
"shutdownShortCircuit",
5
],
[
"shutdownChargeTimeout",
6
],
[
"shutdownOverTemperature",
7
],
[
"shutdownDischargeMinVoltage",
8
],
[
"shutdownDischargeCurrent",
9
],
[
"shutdownLoadCountHigh",
10
],
[
"shutdownEnablePin",
11
],
[
"shutdownOverCurrent",
12
],
[
"shutdownPermanentFailure",
13
],
[
"shutdownBackupTimeExceeded",
14
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The status of the battery."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. HPE networking support.
Module: CPQHLTH-MIB
cpqHeSysBatteryStatus OBJECT-TYPE
SYNTAX INTEGER {
noError(1),
generalFailure(2),
shutdownHighResistance(3),
shutdownLowVoltage(4),
shutdownShortCircuit(5),
shutdownChargeTimeout(6),
shutdownOverTemperature(7),
shutdownDischargeMinVoltage(8),
shutdownDischargeCurrent(9),
shutdownLoadCountHigh(10),
shutdownEnablePin(11),
shutdownOverCurrent(12),
shutdownPermanentFailure(13),
shutdownBackupTimeExceeded(14)
}
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The status of the battery."
::= { cpqHeSysBatteryEntry 5 }{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'CPQHOST-MIB': ['compaq', 'cpqHoTrapFlags', 'cpqHoGUIDCanonical'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'sysName'], 'CPQSINFO-MIB': ['cpqSiServerSystemId', 'cpqSiMemModuleSize']}Related source files and packages:
Downloaded: 2026-10-23T19:25:36.131421+00:00.
Status in source: mandatory.
Names: cpqHeSysBatteryStatus
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"cpqHeSysBatteryStatus",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"noError",
"(",
"1",
")",
",",
"generalFailure",
"(",
"2",
")",
",",
"shutdownHighResistance",
"(",
"3",
")",
",",
"shutdownLowVoltage",
"(",
"4",
")",
",",
"shutdownShortCircuit",
"(",
"5",
")",
",",
"shutdownChargeTimeout",
"(",
"6",
")",
",",
"shutdownOverTemperature",
"(",
"7",
")",
",",
"shutdownDischargeMinVoltage",
"(",
"8",
")",
",",
"shutdownDischargeCurrent",
"(",
"9",
")",
",",
"shutdownLoadCountHigh",
"(",
"10",
")",
",",
"shutdownEnablePin",
"(",
"11",
")",
",",
"shutdownOverCurrent",
"(",
"12",
")",
",",
"shutdownPermanentFailure",
"(",
"13",
")",
",",
"shutdownBackupTimeExceeded",
"(",
"14",
")",
",",
"predictiveFailure",
"(",
"15",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The status of the battery.\"",
"::=",
"{",
"cpqHeSysBatteryEntry",
"5",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"noError",
1
],
[
"generalFailure",
2
],
[
"shutdownHighResistance",
3
],
[
"shutdownLowVoltage",
4
],
[
"shutdownShortCircuit",
5
],
[
"shutdownChargeTimeout",
6
],
[
"shutdownOverTemperature",
7
],
[
"shutdownDischargeMinVoltage",
8
],
[
"shutdownDischargeCurrent",
9
],
[
"shutdownLoadCountHigh",
10
],
[
"shutdownEnablePin",
11
],
[
"shutdownOverCurrent",
12
],
[
"shutdownPermanentFailure",
13
],
[
"shutdownBackupTimeExceeded",
14
],
[
"predictiveFailure",
15
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The status of the battery."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. HPE networking support.
Module: CPQHLTH-MIB
cpqHeSysBatteryStatus OBJECT-TYPE
SYNTAX INTEGER {
noError(1),
generalFailure(2),
shutdownHighResistance(3),
shutdownLowVoltage(4),
shutdownShortCircuit(5),
shutdownChargeTimeout(6),
shutdownOverTemperature(7),
shutdownDischargeMinVoltage(8),
shutdownDischargeCurrent(9),
shutdownLoadCountHigh(10),
shutdownEnablePin(11),
shutdownOverCurrent(12),
shutdownPermanentFailure(13),
shutdownBackupTimeExceeded(14),
predictiveFailure(15)
}
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The status of the battery."
::= { cpqHeSysBatteryEntry 5 }{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'CPQHOST-MIB': ['compaq', 'cpqHoTrapFlags', 'cpqHoGUIDCanonical'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'sysName'], 'CPQSINFO-MIB': ['cpqSiServerSystemId', 'cpqSiMemModuleSize']}Related source files and packages:
Downloaded: 2026-10-23T19:25:41.153279+00:00.
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.232.6.2.17.2.1.1 | cpqHeSysBatteryChassis | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.2 | cpqHeSysBatteryIndex | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.3 | cpqHeSysBatteryPresent | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.4 | cpqHeSysBatteryCondition | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.6 | cpqHeSysBatteryCapacityMaximum | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.7 | cpqHeSysBatteryProductName | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.8 | cpqHeSysBatteryModel | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.9 | cpqHeSysBatterySerialNumber | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.10 | cpqHeSysBatteryFirmwareRev | 0 | 0 | |
| 1.3.6.1.4.1.232.6.2.17.2.1.11 | cpqHeSysBatterySparePartNum | 0 | 0 |